## ros-melodic-rail-mesh-icp 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rail_mesh_icp)

find_package(Boost REQUIRED)
find_package(PCL REQUIRED 1.8 REQUIRED COMPONENTS common io)
find_package(catkin REQUIRED COMPONENTS
  message_generation
  roscpp
  pcl_ros
  pcl_conversions
  tf2_ros
  geometry_msgs
  sensor_msgs
  std_msgs
)

add_service_files(
  DIRECTORY srv
  FILES
  ICPMatch.srv
  TemplateMatch.srv
)

generate_messages(
  DEPENDENCIES
  std_msgs
  geometry_msgs
  sensor_msgs
)

catkin_package(
    INCLUDE_DIRS include
)

include_directories(
    include
    ${catkin_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
    ${PCL_INCLUDE_DIRS}
)

link_directories(${PCL_LIBRARY_DIRS})
add_definitions(${PCL_DEFINITIONS})

set(LINK_LIBS
    ${catkin_LIBRARIES}
    ${Boost_LIBRARIES}
    ${PCL_LIBRARIES}
)

# compiles cpp nodes
add_executable(icp_matcher_node src/icp_matcher_node.cpp src/ICPMatching.cpp)
add_dependencies(icp_matcher_node ${catkin_EXPORTED_TARGETS} ${PCL_EXPORTED_TARGETS} ${PROJECT_NAME}_generate_messages_cpp)
target_link_libraries(icp_matcher_node ${LINK_LIBS})

add_executable(template_matcher_node src/template_matcher_node.cpp src/TemplateMatching.cpp)
add_dependencies(template_matcher_node ${catkin_EXPORTED_TARGETS} ${PCL_EXPORTED_TARGETS} ${PROJECT_NAME}_generate_messages_cpp)
target_link_libraries(template_matcher_node ${LINK_LIBS})

add_executable(mesh_sampler_node tools/mesh_sampler_node.cpp)
add_dependencies(mesh_sampler_node ${catkin_EXPORTED_TARGETS} ${PCL_EXPORTED_TARGETS} ${PROJECT_NAME}_generate_messages_cpp)
target_link_libraries(mesh_sampler_node ${LINK_LIBS})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.hpp" PATTERN "*.h"
)

install(TARGETS icp_matcher_node mesh_sampler_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-melodic-rail-mesh-icp (0.0.4-1stretch) stretch; urgency=high

  * Merge pull request #1 <https://github.com/GT-RAIL/rail_mesh_icp/issues/1> from clalancette/fix-race
  * Make the template_matcher_node depend on generated messages to avoid
    race condition on slow platforms.
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Angel Andres Daruna, Chris Lalancette

 -- Angel Daruna <adaruna3@gatech.edu>  Wed, 30 Oct 2019 04:00:00 -0000

ros-melodic-rail-mesh-icp (0.0.3-1stretch) stretch; urgency=high

  * fixes to various files for continuous-integration
  * fixes to message dependencies
  * Contributors: Angel

 -- Angel Daruna <adaruna3@gatech.edu>  Thu, 22 Aug 2019 04:00:00 -0000

ros-melodic-rail-mesh-icp (0.0.2-1stretch) stretch; urgency=high

  * updates to fix release build problems
  * Contributors: Angel

 -- Angel Daruna <adaruna3@gatech.edu>  Thu, 22 Aug 2019 04:00:00 -0000

ros-melodic-rail-mesh-icp (0.0.1-1stretch) stretch; urgency=high

  * clean up for ROS release
  * Initial commit
  * Contributors: Angel, Angel Andres Daruna

 -- Angel Daruna <adaruna3@gatech.edu>  Tue, 13 Aug 2019 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-rail-mesh-icp
Section: misc
Priority: extra
Maintainer: Angel Daruna <adaruna3@gatech.edu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-pcl-conversions, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf2-ros
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-rail-mesh-icp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-pcl-conversions, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf2-ros
Description: Enables matching a mesh model file (e.g.
 STL) to a point cloud using ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rail-mesh-icp//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
